/* Гром и молния
test co
обзор причин переноса дедлайнов
*/

$machine_learning = ($data) -> {
  $key = DateTime::GetDayOfYear($data) % 2;
  $reason_dict = AsDict(
    AsTuple(0, "что-то пошло не так"),
    AsTuple(1, "500"),
    AsTuple(2, "успели")
  );
  return $reason_dict{$key};
};

$NOW = () -> {
  return CurrentUtcDate();
};

SELECT $machine_learning($NOW()) AS `Причина переноса`;
